查询 RFI 列表

GET
/openapi/v1/customers/provider-kyc/rfis

查询渠道为客户发起的补件请求(RFI)。列表不返回题目,查详情才返回。

鉴权

bearerAuth
header鉴权Bearer <令牌>

通过 POST /oauth2/token 获取的 access_token。请求头格式为 Authorization: Bearer {accessToken}。

查询参数

customerUid*string

调用方为客户定义的 UID,提交 KYB 时在渠道建档。

status?string

ACTIVE 只返回待作答的 RFI。ALL 含终态。缺省 ALL。

默认值"ALL"
可选值"ACTIVE""ALL"

Header 参数

X-Channel-Provider*string

渠道提供商标识。渠道侧 KYC 当前只支持 LEGEND。

响应体

返回 RFI 列表。

application/json
  1. response
code?integer

业务状态码

message?string
traceId?string

请求追踪 ID。联系技术支持时请提供

data?array<>
请求示例
curl -X GET 'https://api.test.stabofx.com/openapi/v1/customers/provider-kyc/rfis?customerUid=cust_example_001' \  -H 'X-Channel-Provider: LEGEND'
响应示例
{  "code": 200,  "message": "OK",  "traceId": "trace-uuid-string",  "data": [    {      "rfiId": "rfc_xxx",      "customerUid": "cust_example_001",      "status": "ACTION_REQUIRED",      "restrictions": [        "swap",        "fiat_withdrawal"      ],      "expiresAt": "2026-11-20T00:00:00+08:00",      "updatedAt": "2026-11-10T10:00:00+08:00"    }  ]}